core dump on loading project - fix broken PostGIS layer

2014-07-01 08:44 PM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 19154

Description

I opened a project that had a missing PostGIS layer. The dialog to fix the broken layer came up and immediately, QGIS crashed.

Warning: Loading a file that was saved with an older version of qgis (saved in 2.3.0-Master, loaded in 2.5.0-Master). Problems

may occur.

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

So I ran QGIS as root, I could fix the layer without crashing. Thereafter the project opened fine running QGIS as my user again.

QGIS version    2.5.0-Master    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.0    Running against GDAL/OGR    1.11.0

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version

History

#1 - 2014-07-02 02:11 AM - Giovanni Manghi

- Category set to Project Loading/Saving

- Affected QGIS version changed from 2.4.0 to master

- Status changed from Open to Feedback

I see that you are using master, does this happen also on 2.4?

#2 - 2014-07-02 02:11 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

2025-04-27 1/2



#3 - 2014-07-02 02:31 AM - Matthias Kuhn

Is there a particular reason why you think that running as root would have changed something?

The main reason I can think of is a configuration issue.

Can you try to move your .qgis2 folder to another location temporarily so you start with a clean configuration from scratch and then check if you still get a

crash.

#4 - 2014-10-22 03:21 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback ("try again as the root user" is an unrelated message from gdb, when trying to attach to the qgis process after the crash

fails)
